<div class="card">
    <div class="card-body pt-1 pb-1">
        <table class="table table-sm">
            <tr>
                <td>Best</td>
                <td class="text-success" *ngIf="session.best !== null">{{ session.best < 10000000000 ? (session.best | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td class="text-success" *ngIf="session.best === null"> - </td>
            </tr>            
            <tr>
                <td>Worst</td>
                <td class="text-danger" *ngIf="session.worst !== null">{{ session.worst < 10000000000 ? (session.worst | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td class="text-danger" *ngIf="session.worst === null"> - </td>
            </tr>      
            <tr>
                <td>Average</td>
                <td class="text-warning" *ngIf="session.average !== null">{{ session.average < 10000000000 ? (session.average | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td class="text-warning" *ngIf="session.average === null"> - </td>
            </tr>
            <tr>
                <td>Mean of 3</td>
                <td *ngIf="session.mo3 !== null">{{ session.mo3 < 10000000000 ? (session.mo3 | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td *ngIf="session.mo3 === null"> - </td>
            </tr>
            <tr>
                <td>Average of 5</td>
                <td *ngIf="session.ao5 !== null">{{ session.ao5 < 10000000000 ? (session.ao5 | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td *ngIf="session.ao5 === null"> - </td>
            </tr>
            <tr>
                <td>Average of 10</td>
                <td *ngIf="session.ao10 !== null">{{ session.ao10 < 10000000000 ? (session.ao10 | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td *ngIf="session.ao10 === null"> - </td>
            </tr>
            <tr>
                <td>Average of 30</td>
                <td *ngIf="session.ao30 !== null">{{ session.ao30 < 10000000000 ? (session.ao30 | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td *ngIf="session.ao30 === null"> - </td>
            </tr>
            <tr>
                <td>Average of 50</td>
                <td *ngIf="session.ao50 !== null">{{ session.ao50 < 10000000000 ? (session.ao50 | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td *ngIf="session.ao50 === null"> - </td>
            </tr>
            <tr>
                <td>Average of 100</td>
                <td *ngIf="session.ao100 !== null">{{ session.ao100 < 10000000000 ? (session.ao100 | number:'1.2-2' | minutesSeconds) : 'DNF' }}</td>
                <td *ngIf="session.ao100 === null"> - </td>
            </tr>
        </table>
    </div>
</div>